Transactional.AbstractTransactional.State (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.utils.concurrent

## Enum Transactional.AbstractTransactional.State

- java.lang.Object
- - java.lang.Enum<Transactional.AbstractTransactional.State>
  - - org.apache.cassandra.utils.concurrent.Transactional.AbstractTransactional.State

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Transactional.AbstractTransactional.State>
  Enclosing class:
    Transactional.AbstractTransactional

      public static enum Transactional.AbstractTransactional.State
      extends java.lang.Enum<Transactional.AbstractTransactional.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORTED`
    `COMMITTED`
    `IN_PROGRESS`
    `READY_TO_COMMIT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Transactional.AbstractTransactional.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Transactional.AbstractTransactional.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN_PROGRESS

          public static final Transactional.AbstractTransactional.State IN_PROGRESS

    - #### READY_TO_COMMIT

          public static final Transactional.AbstractTransactional.State READY_TO_COMMIT

    - #### COMMITTED

          public static final Transactional.AbstractTransactional.State COMMITTED

    - #### ABORTED

          public static final Transactional.AbstractTransactional.State ABORTED

  - ### Method Detail

    - #### values

          public static Transactional.AbstractTransactional.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Transactional.AbstractTransactional.State c : Transactional.AbstractTransactional.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Transactional.AbstractTransactional.State valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation